diff --git a/strongswan-5.2.0/src/starter/starter.c b/strongswan-5.2.0/src/starter/starter.c
index ef57808..41e113d 100644
--- a/strongswan-5.2.0/src/starter/starter.c
+++ b/strongswan-5.2.0/src/starter/starter.c
@@ -10,7 +10,29 @@
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  * for more details.
- */
+ */ 
+
+/*
+ * Copyright (C) 2017 NTC CONTACT
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+ * THE SOFTWARE.
+ */ 
 
 #define _GNU_SOURCE
 
@@ -258,12 +280,11 @@ static void fatal_signal_handler(int signal)
 	abort();
 }
 
-#ifdef GENERATE_SELFCERT
-static void generate_selfcert()
+static void generate_secrets()
 {
 	struct stat stb;
 
-	/* if ipsec.secrets file is missing then generate RSA default key pair */
+	/* if ipsec.secrets file is missing then generate it */
 	if (stat(SECRETS_FILE, &stb) != 0)
 	{
 		mode_t oldmask;
@@ -293,11 +314,6 @@ static void generate_selfcert()
 			}
 		}
 #endif
-		ignore_result(setegid(gid));
-		ignore_result(seteuid(uid));
-		ignore_result(system(IPSEC_SCRIPT " scepclient --out pkcs1 --out cert-self --quiet"));
-		ignore_result(seteuid(0));
-		ignore_result(setegid(0));
 
 		/* ipsec.secrets is root readable only */
 		oldmask = umask(0066);
@@ -307,14 +323,13 @@ static void generate_selfcert()
 		{
 			fprintf(f, "# /etc/ipsec.secrets - strongSwan IPsec secrets file\n");
 			fprintf(f, "\n");
-			fprintf(f, ": RSA myKey.der\n");
+			fprintf(f, ": PSK \"12345678\"\n");
 			fclose(f);
 		}
 		ignore_result(chown(SECRETS_FILE, uid, gid));
 		umask(oldmask);
 	}
 }
-#endif /* GENERATE_SELFCERT */
 
 static bool check_pid(char *pid_file)
 {
@@ -512,7 +527,7 @@ int main (int argc, char **argv)
 		exit(status);
 	}
 
-	DBG1(DBG_APP, "Starting %sSwan "VERSION" IPsec [starter]...",
+	DBG1(DBG_APP, "Starting %sSwanCont "VERSION" IPsec [starter]...",
 		lib->settings->get_bool(lib->settings,
 			"charon.i_dont_care_about_security_and_use_aggressive_mode_psk",
 				FALSE) ? "weak" : "strong");
@@ -550,14 +565,14 @@ int main (int argc, char **argv)
 	}
 	if (stat(DEV_RANDOM, &stb) != 0)
 	{
-		DBG1(DBG_APP, "unable to start strongSwan IPsec -- no %s!", DEV_RANDOM);
+		DBG1(DBG_APP, "unable to start strongSwanCont IPsec -- no %s!", DEV_RANDOM);
 		cleanup();
 		exit(LSB_RC_FAILURE);
 	}
 
 	if (stat(DEV_URANDOM, &stb)!= 0)
 	{
-		DBG1(DBG_APP, "unable to start strongSwan IPsec -- no %s!", DEV_URANDOM);
+		DBG1(DBG_APP, "unable to start strongSwanCont IPsec -- no %s!", DEV_URANDOM);
 		cleanup();
 		exit(LSB_RC_FAILURE);
 	}
@@ -565,7 +580,7 @@ int main (int argc, char **argv)
 	cfg = confread_load(config_file);
 	if (cfg == NULL || cfg->err > 0)
 	{
-		DBG1(DBG_APP, "unable to start strongSwan -- fatal errors in config");
+		DBG1(DBG_APP, "unable to start strongSwanCont -- fatal errors in config");
 		if (cfg)
 		{
 			confread_free(cfg);
@@ -596,9 +611,7 @@ int main (int argc, char **argv)
 		exit(LSB_RC_SUCCESS);
 	}
 
-#ifdef GENERATE_SELFCERT
-	generate_selfcert();
-#endif
+	generate_secrets();
 
 	/* fork if we're not debugging stuff */
 	if (!no_fork)
